---
updatedAt: 2025-09-22T21:34:10.000Z
agentTools:
  projectIndex: https://developers.digitalfemsa.io/llms.txt
---

# Crear un webhook

```curl cURL
curl --location --request POST 'https://api.digitalfemsa.io/webhooks' \
--header 'Accept: application/vnd.app-v2.1.0+json' \
--header 'Content-Type: application/json' \
--header 'Authorization: key_PoPtdWX1Lxs2XPx2p3GjVA' \
--data-raw '{            
            "url": "https://webhook.site/bdd7a24f-64ef-410a-b299-9dee8eha01c0",
            "status": "listening",
            "subscribed_events": [
                "charge.created",
                "charge.paid",
                "charge.refunded",
                "charge.canceled",
                "charge.reversed",
                "charge.pending_confirmation",
                "charge.expired",
                "customer.created",
                "customer.updated",
                "customer.deleted",
                "webhook.created",
                "webhook.updated",
                "webhook.deleted",
                "payout.created",
                "payout.retrying",
                "payout.paid_out",
                "payout.failed",
                "plan.created",
                "plan.updated",
                "plan.deleted",
                "payee.created",
                "payee.updated",
                "payee.deleted",
                "payee.payout_method.created",
                "payee.payout_method.updated",
                "payee.payout_method.deleted",
                "charge.score_updated",
                "receipt.created",
                "order.canceled",
                "order.created",
                "order.expired",
                "order.paid",
                "order.partially_refunded",
                "order.pending_payment",
                "order.refunded",
                "order.updated",
                "webhook_ping"
            ]
}'
```

```json Response Example
{"success":true}
```

# Apuntar a la API en el endpoint correcto "/webhooks"

<!-- curl@1 -->

https://api.digitalfemsa.io/{API_endpoint} con ello podrás crear los webhooks.

# MIME Type

<!-- curl@3 -->

Selecciona el MIME Type correcto. El tipo Extensiones multipropósito de Correo de Internet (MIME) es una forma estandarizada de indicar la naturaleza y el formato de un documento, archivo o conjunto de datos. Está definido y estandarizado en IETF RFC 6838

# Auth

<!-- curl@4 -->

Puedes ver más detalles en https://developers.gitalfemsa.io/reference/autenticaci%C3%B3n

En todo caso es tu llave privada de Oxxo Pay.

# url

<!-- curl@6 -->

Esta es la dirección del webhook que estará esperando las notificaciones de Oxxo Pay para que con ellas, realices diferentes acciones. Como mandar correos a tus clientes por ejemplo.

# status

<!-- curl@7 -->

Retorna el status del webhook. Existen varios status en el elemento type:

  "id": "614803530211a616356e3986",
  "object": "event",
  "type": "webhook.updated", // "webhook_ping"
  "created_at": 1632109395